# Enum Class TapMetaOrder

java.lang.Object
java.lang.Enum<TapMetaOrder>
uk.ac.starlink.vo.TapMetaOrder

All Implemented Interfaces:
  `Serializable, Comparable<TapMetaOrder>, Constable`

public enum TapMetaOrder extends Enum<TapMetaOrder>
Defines an ordering for TAP metadata items: schemas and the tables within them.

Since:
  5 Feb 2024
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALPHABETIC`
Alphabetical ordering.
`INDEXED`
Ordering based on schema/table index (may or may not be reliable).

## Method Summary

Modifier and Type
Method
Description
`void`
`sortSchemas(SchemaMeta[] schemas)`
Modifies a set of schemas to obey this ordering.
`static TapMetaOrder`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TapMetaOrder[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ALPHABETIC

public static final TapMetaOrder ALPHABETIC
Alphabetical ordering.

### INDEXED

public static final TapMetaOrder INDEXED
Ordering based on schema/table index (may or may not be reliable).

## Method Details

### values

public static TapMetaOrder[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TapMetaOrder valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### sortSchemas

public void sortSchemas(SchemaMeta[] schemas)
Modifies a set of schemas to obey this ordering. The order of the elements of the supplied array may change in place, and the ordering of tables within each one may also change.

Parameters:
  `schemas` - array of schemas to alter in place